Package org.apache.storm.trident.planner

## Class ProcessorNode

- java.lang.Object
- - org.apache.storm.trident.operation.DefaultResourceDeclarer<Node>
  - - org.apache.storm.trident.planner.Node
    - - org.apache.storm.trident.planner.ProcessorNode

- All Implemented Interfaces:
    `Serializable`, `ResourceDeclarer<Node>`, `ITridentResource`

      public class ProcessorNode
      extends Node

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `committer` |
    `TridentProcessor` | `processor` |
    `Fields` | `selfOutFields` |

    - ### Fields inherited from class org.apache.storm.trident.planner.Node

      `allOutputFields, creationIndex, name, parallelismHint, stateInfo, streamId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessorNode​(String streamId, String name, Fields allOutputFields, Fields selfOutFields, TridentProcessor processor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `shortString()` |

    - ### Methods inherited from class org.apache.storm.trident.planner.Node

      `equals, hashCode, toString`

    - ### Methods inherited from class org.apache.storm.trident.operation.DefaultResourceDeclarer

      `addSharedMemory, getResources, getSharedMemory, setCPULoad, setMemoryLoad, setMemoryLoad`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### committer

          public boolean committer

    - #### processor

          public TridentProcessor processor

    - #### selfOutFields

          public Fields selfOutFields

  - ### Constructor Detail

    - #### ProcessorNode

          public ProcessorNode​(String streamId,
                               String name,
                               Fields allOutputFields,
                               Fields selfOutFields,
                               TridentProcessor processor)

  - ### Method Detail

    - #### shortString

          public String shortString()

      Overrides:
        `shortString` in class `Node`